#!/bin/bash
(cd ../work ; tar cf - *) | tar xvf -
sync

cd cal3d
make clean
sync
autoreconf --install --force
./configure --disable-debug --prefix=/usr --enable-cpu-specific-optimizations
make
make install
sync
ldconfig
sync

cd ../cs
make clean
./configure --disable-debug -without-java --without-python --without-aws --without-lib3ds --with-libcal3d --prefix=/usr --enable-cpu-specific-optimizations
jam -aq libs plugins cs-config walktest
sync
make install
sync
ldconfig
sync

cd ../cel
jam clean
sync
./configure --prefix=/usr --disable-debug --enable-cpu-specific-optimizations --without-python
jam -aq -j 3 libs plugins cel-config
sync
jam install
sync
ldconfig
sync

cd ../planeshift
jam clean
sync
./autogen.sh
./configure --disable-debug --enable-cpu-specific-optimizations
jam -aq -j 3 client
sync

cd ..
cp planeshift/updater /opt/PlaneShiftajk/up
sync
cp planeshift/pssetup /opt/PlaneShiftajk/pss
sync
cp planeshift/psclient /opt/PlaneShiftajk/psc
sync
cp planeshift/out/linuxx86/optimize/libs/* /opt/PlaneShiftajk/libs
sync
